# AmazonCopyAmiImagesParameters Object

## Description

Parameters for the Amazon Copy AMI Images action.

## Properties

### conflictResolutionMethod

Method to use when an AMI image already exists with the desired image name.

Type: `string`

Valid Values:

* `skip`
* `allow-duplicate`
* `delete-and-recopy`
* `fail-and-stop`
* `fail-and-continue`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### description

Description to use on the new AMI images.

Type: `string`

Required: No

### imageIdentificationMethod

Method in which AMI images will be selected.

Type: `string`

Valid Values:

* `all-images`
* `by-image-id`
* `by-image-name`
* `by-resource-tag`

### imageIds

List of AMI image IDs to copy. Required when `imageIdentificationMethod` is `by-image-id`.

Type: Array of `string`

Required: Conditional

### imageName

Name of the new AMI images.

Type: `string`

Required: No

### imageNameComparison

Comparison to use when selecting images by image name. Required when `imageIdentificationMethod` is `by-image-name`.

Type: [AmiImageNameComparison](/data-types/amiimagenamecomparison-object.md) object

Required: Conditional

### isCopyImagePermissions

Indicates whether to copy the permissions from the source image to the new image.

Type: `boolean`

Required: Yes

### isCopySnapshotPermissions

Indicates whether to copy the permissions from the source EBS snapshots to the new EBS snapshots.

Type: `boolean`

Required: Yes

### isCopyTags

Indicates whether to copy the resource tags from the source image to the new image.

Type: `boolean`

Required: Yes

### newerThanInDays

Filters images to be copied to those newer than the specified number of days.

Type: `integer`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resourceTagComparison

Comparison to use when identifying images by resource tag. Required when `imageIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### tags

Resource tags to add to the new images.

Type: Array of [Tag](/data-types/tag-object.md) object.

Required: No

### targetCredentialId

Credential for the AWS account into which the AMI images will be copied. Omit or assign `null` to use the same credential as the original image owner.

Type: `string`

Required: No

### targetRegionName

Target region to which the AMI images will be copied. Must be a valid region name (eg. `us-east-1`).

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "imageIdentificationMethod": "all-images",
    "newerThanDays": 3,

    "targetRegionName": "ca-central-1",
    "targetCredentialId": null,

    "conflictResolutionMethod": "skip",

    "imageName": "$(NAME)",
    "description": "[Copied $(IMAGEID) from $(REGION)] $(DESCRIPTION)",
    "isCopyTags": true,
    "tags": [
        {
            "key": "skeddly:source-image-id",
            "value": "$(IMAGEID)"
        }
    ],

    "isCopyImagePermissions": false,
    "isCopySnapshotPermissions": false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyamiimagesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
